summaryrefslogtreecommitdiff
path: root/dev-python/openapi-schema-validator/openapi-schema-validator-0.6.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-09 18:14:59 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-09 18:14:59 +0000
commitcbea470d504b7017a28111238340a0062309a850 (patch)
tree82f8f6758dd8bc28114fdbf1dcf600247d09908e /dev-python/openapi-schema-validator/openapi-schema-validator-0.6.0.ebuild
parent92eb9887059a7c1a28388007a05a8b3597fb8e24 (diff)
downloadbaldeagleos-repo-cbea470d504b7017a28111238340a0062309a850.tar.gz
baldeagleos-repo-cbea470d504b7017a28111238340a0062309a850.tar.xz
baldeagleos-repo-cbea470d504b7017a28111238340a0062309a850.zip
Adding metadata
Diffstat (limited to 'dev-python/openapi-schema-validator/openapi-schema-validator-0.6.0.ebuild')
-rw-r--r--dev-python/openapi-schema-validator/openapi-schema-validator-0.6.0.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/openapi-schema-validator/openapi-schema-validator-0.6.0.ebuild b/dev-python/openapi-schema-validator/openapi-schema-validator-0.6.0.ebuild
new file mode 100644
index 000000000000..ac68b237e944
--- /dev/null
+++ b/dev-python/openapi-schema-validator/openapi-schema-validator-0.6.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI schema validation for Python"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-schema-validator/
+ https://pypi.org/project/openapi-schema-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-4.18.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-specifications-2023.5.2[${PYTHON_USEDEP}]
+ dev-python/rfc3339-validator[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/--cov/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}